Bug 124140 - SOUND-CMPCI: SPDIF output doesn't work
Summary: SOUND-CMPCI: SPDIF output doesn't work
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-24 14:05 UTC by Tamas Vincze
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 20:27:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tamas Vincze 2004-05-24 14:05:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.2.1)
Gecko/20030711

Description of problem:
SPDIF output doesn't work on my onboard C-Media 8738 using the
cmpci driver included in the FC1 kernel.


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2188.nptl

How reproducible:
Always

Steps to Reproduce:
1. Install FC1 and update to the latest packages
2. Play a sound file.


Actual Results:  No output on CM8738's SPDIF port.


Expected Results:  Signal on the SPDIF port.


Additional info:

I replaced cmpci.c with the one included in the stock 2.4.22 kernel
and now it works fine.
It seems that there's a backported patch from 2.4.23 that broke it.

Comment 1 David Lawrence 2004-09-29 20:27:55 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.